Driver Nvidia GT540M

Problemi con l'installazione di pacchetti

Driver Nvidia GT540M

Messaggioda capocla » 12/03/2019, 16:34

Salve,
Ho la scheda video Nvidia GT540M con debian testing 64 bit con multiarch. Oggi, dopo aver aggiornato, mi è uscito il messaggio che l'attuale pacchetto di driver video, nvidia-driver, non va più bene e che dovrebbe essere sostituito con il pacchetti nvidia-legacy-390xx-driver e nvidia-legacy-390xx-kernel-rivers
Quando cerco di installare questi pacchetti, tuttavia, mi esce il seguente messaggio di errore:
Codice: Seleziona tutto
# apt install nvidia-legacy-390xx-driver nvidia-legacy-390xx-kernel-dkms
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 nvidia-legacy-390xx-driver : Dipende: nvidia-legacy-390xx-driver-libs (= 390.116-1) ma non sta per essere installato oppure
                                       nvidia-legacy-390xx-driver-libs-nonglvnd (= 390.116-1) ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

Come dovrei risolvere la situazione?
capocla
Sr. Member
Sr. Member
 
Messaggi: 313
Iscritto il: 14/06/2008, 19:23

Re: Driver Nvidia GT540M

Messaggioda s3v » 12/03/2019, 22:02

I pacchetti sono entrati in Buster oggi. Riprovato ad eseguire il comando dopo un "apt update"?
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5695
Iscritto il: 31/12/2008, 11:54

Re: Driver Nvidia GT540M

Messaggioda capocla » 13/03/2019, 1:49

s3v ha scritto:I pacchetti sono entrati in Buster oggi. Riprovato ad eseguire il comando dopo un "apt update"?

Codice: Seleziona tutto
# apt update && apt install nvidia-legacy-390xx-driver nvidia-legacy-390xx-kernel-dkms
.
.
.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
4 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 nvidia-legacy-390xx-driver : Dipende: nvidia-legacy-390xx-driver-libs (= 390.116-1) ma non sta per essere installato oppure
                                       nvidia-legacy-390xx-driver-libs-nonglvnd (= 390.116-1) ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.
capocla
Sr. Member
Sr. Member
 
Messaggi: 313
Iscritto il: 14/06/2008, 19:23

Re: Driver Nvidia GT540M

Messaggioda s3v » 13/03/2019, 7:49

Qual è l'errore che compare se provi ad installare "nvidia-legacy-390xx-driver-libs"?
Codice: Seleziona tutto
# apt -s install nvidia-legacy-390xx-driver-libs

(usando la simulazione con "-s").
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5695
Iscritto il: 31/12/2008, 11:54

Re: Driver Nvidia GT540M

Messaggioda capocla » 13/03/2019, 11:29

s3v ha scritto:Qual è l'errore che compare se provi ad installare "nvidia-legacy-390xx-driver-libs"?
Codice: Seleziona tutto
# apt -s install nvidia-legacy-390xx-driver-libs

(usando la simulazione con "-s").


Metto un link esterno perché il risultato è troppo grande

https://pastebin.com/dm20G6P7
capocla
Sr. Member
Sr. Member
 
Messaggi: 313
Iscritto il: 14/06/2008, 19:23

Re: Driver Nvidia GT540M

Messaggioda s3v » 13/03/2019, 17:42

Questo sembra il tuo caso: https://bugs.debian.org/cgi-bin/bugrepo ... bug=906903
Su quale ramo Debian ti trovi? Stable/Testing/Stable+Backports/altro?
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5695
Iscritto il: 31/12/2008, 11:54

Re: Driver Nvidia GT540M

Messaggioda capocla » 14/03/2019, 11:26

s3v ha scritto:Su quale ramo Debian ti trovi? Stable/Testing/Stable+Backports/altro?

Debian testing 64 bit con multiarch
capocla
Sr. Member
Sr. Member
 
Messaggi: 313
Iscritto il: 14/06/2008, 19:23

Re: Driver Nvidia GT540M

Messaggioda s3v » 15/03/2019, 21:13

Purtroppo non riesco a riprodurre il problema.
Hai dovuto, per qualche motivo, miscelare repository diversi oppure far ricorso al pinning?
Nel caso tu stessi utilizzando invece repository di un solo ramo e nessuna configurazione particolare di APT, ti consiglio di aprire una segnalazione di bug.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5695
Iscritto il: 31/12/2008, 11:54

Re: Driver Nvidia GT540M

Messaggioda capocla » 16/03/2019, 14:24

s3v ha scritto:Purtroppo non riesco a riprodurre il problema.
Hai dovuto, per qualche motivo, miscelare repository diversi oppure far ricorso al pinning?
Nel caso tu stessi utilizzando invece repository di un solo ramo e nessuna configurazione particolare di APT, ti consiglio di aprire una segnalazione di bug.


Ho i repo di unstable però sono generalmente disattivi. Li attivo solo quando devo aggiornare firefox. Può essere capitato, tuttavia, che, diversi mesi fa, abbia sbagliato nel fare un upgrade con i repo di unstable ancora attivi
capocla
Sr. Member
Sr. Member
 
Messaggi: 313
Iscritto il: 14/06/2008, 19:23

Re: Driver Nvidia GT540M

Messaggioda s3v » 22/03/2019, 20:21

Con il comando:
Codice: Seleziona tutto
$ aptitude -F '%p %v %t' search '~S ~i !~Atesting'   --disable-columns | column -t

ti viene creato l'elenco dei pacchetti installati che *non* fanno (più) parte di testing.
Puoi anche postare l'output di:
Codice: Seleziona tutto
# apt install nvidia-legacy-390xx-driver-libs

? Ma senza andare avanti nel proseguire l'installazione, solo vedere i pacchetti che prova ad installare.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5695
Iscritto il: 31/12/2008, 11:54

Re: Driver Nvidia GT540M

Messaggioda capocla » 27/03/2019, 15:56

s3v ha scritto:Con il comando:
Codice: Seleziona tutto
$ aptitude -F '%p %v %t' search '~S ~i !~Atesting'   --disable-columns | column -t

ti viene creato l'elenco dei pacchetti installati che *non* fanno (più) parte di testing.


Elenco pacchetti

s3v ha scritto:Puoi anche postare l'output di:
Codice: Seleziona tutto
# apt install nvidia-legacy-390xx-driver-libs

? Ma senza andare avanti nel proseguire l'installazione, solo vedere i pacchetti che prova ad installare.



Codice: Seleziona tutto
# apt install nvidia-legacy-390xx-driver-libs
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  linux-headers-4.19.0-1-amd64 linux-headers-4.19.0-1-common linux-image-4.19.0-1-amd64 primus-libs primus-libs-ia32:i386
Usare "apt autoremove" per rimuoverli.
I seguenti pacchetti aggiuntivi saranno inoltre installati:
  libegl-mesa0:i386 libegl-nvidia-legacy-390xx0 libegl-nvidia-legacy-390xx0:i386 libegl1:i386 libgbm1:i386 libgl1-nvidia-legacy-390xx-glvnd-glx
  libgl1-nvidia-legacy-390xx-glvnd-glx:i386 libgles-nvidia-legacy-390xx1 libgles-nvidia-legacy-390xx1:i386 libgles-nvidia-legacy-390xx2
  libgles-nvidia-legacy-390xx2:i386 libgles1:i386 libgles2:i386 libglx-nvidia-legacy-390xx0 libglx-nvidia-legacy-390xx0:i386 libnvidia-legacy-390xx-cfg1
  libnvidia-legacy-390xx-cfg1:i386 libnvidia-legacy-390xx-eglcore libnvidia-legacy-390xx-eglcore:i386 libnvidia-legacy-390xx-glcore libnvidia-legacy-390xx-glcore:i386
  libopengl0:i386 libwayland-server0:i386 libxcb-xfixes0:i386 nvidia-egl-common nvidia-legacy-390xx-alternative nvidia-legacy-390xx-driver-libs:i386
  nvidia-legacy-390xx-driver-libs-i386:i386 nvidia-legacy-390xx-egl-icd nvidia-legacy-390xx-egl-icd:i386 nvidia-legacy-390xx-vulkan-icd
  nvidia-legacy-390xx-vulkan-icd:i386
Pacchetti suggeriti:
  vulkan-utils vulkan-utils:i386
I seguenti pacchetti saranno RIMOSSI:
  primus
I seguenti pacchetti NUOVI saranno installati:
  libegl-mesa0:i386 libegl-nvidia-legacy-390xx0 libegl-nvidia-legacy-390xx0:i386 libegl1:i386 libgbm1:i386 libgl1-nvidia-legacy-390xx-glvnd-glx
  libgl1-nvidia-legacy-390xx-glvnd-glx:i386 libgles-nvidia-legacy-390xx1 libgles-nvidia-legacy-390xx1:i386 libgles-nvidia-legacy-390xx2
  libgles-nvidia-legacy-390xx2:i386 libgles1:i386 libgles2:i386 libglx-nvidia-legacy-390xx0 libglx-nvidia-legacy-390xx0:i386 libnvidia-legacy-390xx-cfg1
  libnvidia-legacy-390xx-cfg1:i386 libnvidia-legacy-390xx-eglcore libnvidia-legacy-390xx-eglcore:i386 libnvidia-legacy-390xx-glcore libnvidia-legacy-390xx-glcore:i386
  libopengl0:i386 libwayland-server0:i386 libxcb-xfixes0:i386 nvidia-egl-common nvidia-legacy-390xx-alternative nvidia-legacy-390xx-driver-libs
  nvidia-legacy-390xx-driver-libs:i386 nvidia-legacy-390xx-driver-libs-i386:i386 nvidia-legacy-390xx-egl-icd nvidia-legacy-390xx-egl-icd:i386
  nvidia-legacy-390xx-vulkan-icd nvidia-legacy-390xx-vulkan-icd:i386
0 aggiornati, 33 installati, 1 da rimuovere e 0 non aggiornati.
È necessario scaricare 31,4 MB di archivi.
capocla
Sr. Member
Sr. Member
 
Messaggi: 313
Iscritto il: 14/06/2008, 19:23

Re: Driver Nvidia GT540M

Messaggioda s3v » 28/03/2019, 20:49

È probabile che, confermando l'installazione, questa vada a bloccarsi nuovamente con un messaggio di errore diverso che fa avvicinare alla causa del problema.
Sul mio PC lo avrei già fatto ma non posso dirti di fare altrettanto. Se la macchina ti serve in modo importante e/o non hai tempo di riparare eventuali errori, ti consiglio di soprassedere ed aspettare il rilascio di Buster; se invece puoi permetterti di "perdere" il PC per qualche ora/giorno in modo da poter aggiustare problemi sopraggiunti, allora conferma l'installazione:
Codice: Seleziona tutto
# apt install nvidia-legacy-390xx-driver-libs

magari dopo esserti segnato tutti i pacchetti che prova ad installarti/rimuoverti in modo da poter poi tornare indietro.
La grande mole di pacchetti provenienti da repo esterni a Debian non mi fa stare molto sereno.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5695
Iscritto il: 31/12/2008, 11:54


Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 0 ospiti

cron